### Constructor

# Peas ExtensionSet new_with_properties

#### Declaration [src]

    PeasExtensionSet*
    peas_extension_set_new_with_properties (
      PeasEngine* engine,
      GType exten_type,
      guint n_properties,
      const char** prop_names,
      const GValue* prop_values
    )

#### Description [src]

Create a new `PeasExtensionSet` for the `exten_type` extension type.

If `engine` is `NULL`, then the default engine will be used.

See `peas_extension_set_new()` for more information.

#### Parameters

`engine`

  Type: `PeasEngine`

  A `PeasEngine`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`exten_type`

  Type: `GType`

  The extension `GType`.

`n_properties`

  Type: `guint`

  The length of the `prop_names` and `prop_values` array.

`prop_names`

  Type: An array of `char*`

  An array of property names.

  The length of the array is specified in the `n_properties` argument.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`prop_values`

  Type: An array of `GValue`

  An array of property values.

  The length of the array is specified in the `n_properties` argument.
  The data is owned by the caller of the function.

#### Return value

Type: `PeasExtensionSet`

A new instance of `PeasExtensionSet`.

The caller of the function takes ownership of the data, and is responsible for freeing it.